#include "Trajectoire_rotation.h"

// ATTENTION, alors que toutes les autres trajectoires se déplacent 
// en distance en mètre avec une vitesse en mètres/seconde, ici, il s'agit de radian et de radian/seconde.

void Trajectoire_rotation_get_longueur(struct trajectoire_t * trajectoire){
    trajectoire->longueur = trajectoire->orientation_fin_rad - trajectoire->orientation_debut_rad;
    if(trajectoire->longueur < 0){
        trajectoire->longueur = -trajectoire->longueur;
    }
}

// Le robot reste sur place
struct point_xy_t Trajectoire_rotation_get_point(struct trajectoire_t * trajectoire, double abscisse){
    return trajectoire->p1;
}